Show / Hide Table of Contents

# Struct EmbedFooter

A footer field for an Embed.

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public struct EmbedFooter

### Properties

| Improve this Doc View Source

#### IconUrl

Gets the URL of the footer icon.

##### Declaration

    public string IconUrl { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the URL of the footer icon.

| Improve this Doc View Source

#### ProxyUrl

Gets the proxied URL of the footer icon link.

##### Declaration

    public string ProxyUrl { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the proxied URL of the footer icon.

| Improve this Doc View Source

#### Text

Gets the text of the footer field.

##### Declaration

    public string Text { get; }

##### Property Value

Type | Description
--- | ---
System.String | A string containing the text of the footer field.

### Methods

| Improve this Doc View Source

#### ToString()

Gets the text of the footer field.

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String | A string that resolves to Text.

##### Overrides

System.ValueType.ToString()